
From: Jes Sorensen <jes@trained-monkey.org>

The following patch removes a couple of null-ilizers of global variables. 
Not a big deal, but every byte helps in the .data segment ;-)



---

 fs/bio.c     |    2 +-
 init/main.c  |    2 +-
 kernel/cpu.c |    2 +-
 mm/nommu.c   |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

diff -puN fs/bio.c~remove-null-initialisers fs/bio.c
--- 25/fs/bio.c~remove-null-initialisers	2004-01-14 11:07:36.000000000 -0800
+++ 25-akpm/fs/bio.c	2004-01-14 11:07:36.000000000 -0800
@@ -594,7 +594,7 @@ static void bio_dirty_fn(void *data);
 
 static DECLARE_WORK(bio_dirty_work, bio_dirty_fn, NULL);
 static spinlock_t bio_dirty_lock = SPIN_LOCK_UNLOCKED;
-static struct bio *bio_dirty_list = NULL;
+static struct bio *bio_dirty_list;
 
 /*
  * This runs in process context
diff -puN init/main.c~remove-null-initialisers init/main.c
--- 25/init/main.c~remove-null-initialisers	2004-01-14 11:07:36.000000000 -0800
+++ 25-akpm/init/main.c	2004-01-14 11:07:36.000000000 -0800
@@ -105,7 +105,7 @@ int system_running;
 
 extern void time_init(void);
 /* Default late time init is NULL. archs can override this later. */
-void (*late_time_init)(void) = NULL;
+void (*late_time_init)(void);
 extern void softirq_init(void);
 
 static char *execute_command;
diff -puN kernel/cpu.c~remove-null-initialisers kernel/cpu.c
--- 25/kernel/cpu.c~remove-null-initialisers	2004-01-14 11:07:36.000000000 -0800
+++ 25-akpm/kernel/cpu.c	2004-01-14 11:07:36.000000000 -0800
@@ -14,7 +14,7 @@
 /* This protects CPUs going up and down... */
 DECLARE_MUTEX(cpucontrol);
 
-static struct notifier_block *cpu_chain = NULL;
+static struct notifier_block *cpu_chain;
 
 /* Need to know about CPUs going up/down? */
 int register_cpu_notifier(struct notifier_block *nb)
diff -puN mm/nommu.c~remove-null-initialisers mm/nommu.c
--- 25/mm/nommu.c~remove-null-initialisers	2004-01-14 11:07:36.000000000 -0800
+++ 25-akpm/mm/nommu.c	2004-01-14 11:07:36.000000000 -0800
@@ -25,12 +25,12 @@
 #include <asm/tlbflush.h>
 
 void *high_memory;
-struct page *mem_map = NULL;
+struct page *mem_map;
 unsigned long max_mapnr;
 unsigned long num_physpages;
 unsigned long askedalloc, realalloc;
 atomic_t vm_committed_space = ATOMIC_INIT(0);
-int sysctl_overcommit_memory = 0; /* default is heuristic overcommit */
+int sysctl_overcommit_memory; /* default is heuristic overcommit */
 int sysctl_overcommit_ratio = 50; /* default is 50% */
 
 /*

_
